package com.lz.modules.flow.dao;
/**
* <p>
* 考核指标库表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-16
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.flow.entity.ResultTagetLib;
import com.lz.modules.flow.model.ResultTagetLibDto;
import com.lz.modules.flow.req.ResultTagetLibItemReq;
import com.lz.modules.flow.req.ResultTagetLibSearchReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResultTagetLibMapper extends BaseMapper<ResultTagetLib> {


	ResultTagetLib selectResultTagetLibById(@Param("id")Long id);


	Long insertResultTagetLib(ResultTagetLib resultTagetLib);


	int updateResultTagetLibById(ResultTagetLib resultTagetLib);


	int updateCoverResultTagetLibById(ResultTagetLib resultTagetLib);


	int deleteResultTagetLibById(@Param("id")Long id);


    List<ResultTagetLib> selectResultTagetLibByModelId(Long id);

    List<ResultTagetLibDto> selectByCondition(@Param("page") IPage page, @Param("req") ResultTagetLibSearchReq req);

	int deleteResultTagetLibByModelId(Long id);

    int insertResultTagetLibs(@Param("list") List<ResultTagetLib> inserts);

	int updateResultTagetLibByIds(@Param("list") List<ResultTagetLib> inserts);

    List<ResultTagetLibItemReq> selectResultTagetLibByModelReqId(Long id);

	List<ResultTagetLibDto> selectResultTagetLibDtoByModelId(Long id);
}